文档章节

run.do_configure 的一些整理

杜比
 杜比
发布于 2015/05/05 15:58
字数 2123
阅读 118
收藏 0
#!/bin/sh

# Emit a useful diagnostic if something fails:
bb_exit_handler() {
    ret=$?
    case $ret in
    0)  ;;
    *)  case $BASH_VERSION in
        "")   echo "WARNING: exit code $ret from a shell command.";;
        *)    echo "WARNING: ${BASH_SOURCE[0]}:${BASH_LINENO[0]} exit $ret from
  "$BASH_COMMAND"";;
        esac
        exit $ret
    esac
}
trap 'bb_exit_handler' 0
set -e
export localstatedir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/var"
export prefix="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr"
export BUILD_CXX="g++ "
export LD="ld  "
export BUILD_LDFLAGS="-L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-O1"
export STRINGS="strings"
export BUILD_CCLD="gcc "
export CFLAGS_FOR_BUILD="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export CXXFLAGS_FOR_BUILD="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export CPPFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export RANLIB="ranlib"
export CXX="g++ "
export OBJCOPY="objcopy"
export servicedir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/srv"
export LC_ALL="C"
export LD_FOR_BUILD="ld "
export sysconfdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/etc"
export CCLD="gcc "
export TARGET_CXXFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export PKG_CONFIG_LIBDIR="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/pkgconfig"
export sbindir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/sbin"
export CFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export TARGET_LDFLAGS="-L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-O1"
export PKG_CONFIG_DISABLE_UNINSTALLED="yes"
export LDFLAGS_FOR_BUILD="-L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-O1"
export CXXFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export NM="nm"
export BUILD_LD="ld "
export USER="dbhrscom"
export BUILD_CPP="cpp "
export BUILD_CFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export base_prefix="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux"
export TERM="xterm"
export PKG_CONFIG_SYSROOT_DIR=""
export CPP="gcc  -E"
export CONFIG_SITE="/home/dbhrscom/mydev/yocto/daisy/poky/meta/site/native"
export BUILD_CXXFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export FC="gfortran "
export HOME="/home/dbhrscom"
unset MACHINE
export sharedstatedir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/com"
export LOGNAME="dbhrscom"
export BUILD_STRIP="strip"
export CC="gcc "
export STRIP="strip"
export libexecdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/quilt"
export datadir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share"
export bindir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin"
export includedir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export oldincludedir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export BUILD_NM="nm"
export mandir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/man"
export PSEUDO_DISABLED="1"
export BUILD_CC="gcc "
export CPPFLAGS_FOR_BUILD="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export systemd_unitdir="/lib/systemd"
export CXX_FOR_BUILD="g++ "
unset lt_cv_sys_lib_dlsearch_path_spec
export PATCH_GET="0"
export PSEUDO_UNLOAD="1"
export LDFLAGS="-L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -L/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath-link,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib -Wl,-rpath,/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib -Wl,-O1"
export MAKE="make"
unset TARGET_ARCH
export CCACHE_DIR="/home/dbhrscom"
export CPP_FOR_BUILD="cpp "
export infodir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/info"
export base_sbindir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/sbin"
export PKG_CONFIG_PATH="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/pkgconfig:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/pkgconfig"
export base_bindir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/bin"
export AS="as "
export AR="ar"
export BUILD_CPPFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export CCACHE_DISABLE="1"
export BUILD_FC="gfortran "
export TARGET_CPPFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include"
export exec_prefix="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr"
export BUILD_RANLIB="ranlib"
export base_libdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib"
export PATH="/home/dbhrscom/mydev/yocto/daisy/poky/scripts/native-intercept:/home/dbhrscom/mydev/yocto/daisy/poky/scripts:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin/mips32-linux:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/sbin:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/sbin:/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/bin:/home/dbhrscom/mydev/yocto/daisy/poky/scripts:/home/dbhrscom/mydev/yocto/daisy/poky/bitbake/bin:/usr/lib/lightdm/lightdm:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games"
export TARGET_CFLAGS="-isystem/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include -O2 -pipe"
export BUILD_AR="ar"
export BUILD_AS="as "
export OBJDUMP="objdump"
unset DISTRO
export PKG_CONFIG_DIR="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/pkgconfig"
export libdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib"
export nonarch_base_libdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/lib"
export CC_FOR_BUILD="gcc "
export docdir="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/doc"
export SHELL="/bin/bash"

# 定义do_configure过程,自动生成
do_configure() {
	oe_runconf

}

# 定义oe_runconf过程,自动生成
# cfgscript 保存软件包的configure脚本,调用bbnote写入log,运行configure+参数,并对运行结果进行检测
# bbfatal 是错误处理机制,在这个脚本后面定义
oe_runconf() {
	cfgscript="/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/work/i686-linux/quilt-native/0.61-r0/quilt-0.61/configure"
	if [ -x "$cfgscript" ] ; then
		bbnote "Running $cfgscript  --build=i686-linux 		  --host=i686-linux 		  --target=i686-linux 		  --prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr 		  --exec_prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr 		  --bindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin 		  --sbindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/sbin 		  --libexecdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/quilt 		  --datadir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share 		  --sysconfdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/etc 		  --sharedstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/com 		  --localstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/var 		  --libdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib 		  --includedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include 		  --oldincludedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include 		  --infodir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/info 		  --mandir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/man 		  --disable-silent-rules 		  --disable-dependency-tracking 		   --disable-nls $@"
		set +e
		 ac_cv_path_BASH=/bin/bash $cfgscript  --build=i686-linux 		  --host=i686-linux 		  --target=i686-linux 		  --prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr 		  --exec_prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr 		  --bindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin 		  --sbindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/sbin 		  --libexecdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/quilt 		  --datadir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share 		  --sysconfdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/etc 		  --sharedstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/com 		  --localstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/var 		  --libdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib 		  --includedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include 		  --oldincludedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include 		  --infodir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/info 		  --mandir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/man 		  --disable-silent-rules 		  --disable-dependency-tracking 		   --disable-nls "$@"
		if [ "$?" != "0" ]; then
			echo "Configure failed. The contents of all config.log files follows to aid debugging"
			find /home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/work/i686-linux/quilt-native/0.61-r0/quilt-0.61 -name config.log -print -exec cat {} \;
			bbfatal "oe_runconf failed"
		fi
		set -e
	else
		bbfatal "no configure script found at $cfgscript"
	fi

}

bbfatal() {
	echo "ERROR: $*"
	exit 1

}

bbnote() {
	echo "NOTE: $*"

}

# 脚本运行的命令,进入源代码目录,运行configure脚本
cd '/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/work/i686-linux/quilt-native/0.61-r0/quilt-0.61'
do_configure

# cleanup
ret=$?
trap '' 0
exit $?

给configure传递的参数有:

--build=i686-linux  --host=i686-linux  --target=i686-linux  

--prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr  

--exec_prefix=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr  

--bindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/bin  

--sbindir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/sbin  

--libexecdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib/quilt  

--datadir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share  

--sysconfdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/etc  

--sharedstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/com  

--localstatedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/var  

--libdir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/lib  

--includedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include  

--oldincludedir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/include  

--infodir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/info  

--mandir=/home/dbhrscom/mydev/yocto/daisy/poky/build/tmp/sysroots/i686-linux/usr/share/man  

--disable-silent-rules  --disable-dependency-tracking   --disable-nls 

具体的configure info 记录在 log.do_configure 中

© 著作权归作者所有

杜比
粉丝 0
博文 3
码字总数 2510
作品 0
长春
私信 提问
deepIn 系统安装XunSearch

deepin 安装迅搜(XunSearch)遇到一些问题,整理出来供各位兄弟参考。 一、安装C++: 使用 /usr/bin/g++ 来在自动模式中提供 /usr/bin/c++ (c++) # apt-get install g++ 命令行这里有的包下载...

wenzhizhong
05/11
15
0
FastReport使用方法(C/S版)

前言 这两天群里一直有群友问一些关于FastReport的问题,结合他们的问题,在这里做一个整理,有不明白的可以加 FastReport 交流群 群 号:554714044 工具 VS2017 +FastReport 开始 1.新建项目...

wangyq2016
2018/12/17
0
0
redis的学习和使用

最近自己学习redis,把学习过程中的一些细节整理了一下: redis 安装: 默认端口是6379 # cd /usr/local/src # wget http://download.redis.io/releases/redis-3.0.7.tar.gz #tar zxvf redi...

许兆磊
2016/04/03
342
0
在 Mac 上编译和运行 Apache HTTPD

本文讲述如何在 Mac 系统上编译并运行 Apache 的 HTTPD 服务器软件。 尽管官方文档有针对 Mac 编译进行说明,详情请看 这里. 但是在 Mavericks 上有一些问题,所以重新整理如下: 让我们开始...

红薯
2014/08/24
896
1
音视频入门(iOS编译ffmpeg的configure配置)

本篇文章接之前的x264编译configure选项,写一下ffmpeg的configure选项。 ffmpeg的arm64架构configure选项 ffmpeg的x64架构configure选项 有可能在实际编译的时候你又会被提示缺少了一些实现...

arceushs
01/10
0
0

没有更多内容

加载失败,请刷新页面

加载更多

STM32进阶之串口环形缓冲区实现

队列的概念 在此之前,我们来回顾一下队列的基本概念: 队列 (Queue):是一种先进先出(First In First Out ,简称 FIFO)的线性表,只允许在一端插入(入队),在另一端进行删除(出队)。 队列...

杰杰1号
22分钟前
9
0
设计模式-建造者模式

建造者模式 定义 将一个复杂对象的构建和它的表示分离,使得同样的构建过程创建出不同的表示。这句话理解起来优点抽象,我们打个简单的比方吧,中国人都喜欢做菜,做菜的时候后会放很多配料...

木本本
26分钟前
9
0
017、xml版本代码生成器配置

1、在pom.xml文件中增加mybatis-generator-maven-plugin插件 <build> <plugins> <plugin> <groupId>org.mybatis.generator</groupId> <artifactId>......

北岩
38分钟前
7
0
用jQuery-Easy-UI编写注册页面

本文转载于:专业的前端网站➮用jQuery-Easy-UI编写注册页面 1 <!DOCTYPE html> 2 <html lang="en"> 3 4 <head> 5 <meta charset="UTF-8"> 6 <meta name="viewport" content=......

前端老手
46分钟前
5
0
Git ssh配置

生成密钥对 ssh-keygen -t rsa -C "email@email.com"邮箱替换自己邮箱在地址C:\Users\账户\.ssh下,id_rsa、id_rsa.pub两个文件复制文件id_rsa.pub内容到github\gitlab的Settings-> SSH ......

JUKE
54分钟前
6
0

没有更多内容

加载失败,请刷新页面

加载更多

返回顶部
顶部